Timestamp of issue note doesn't update when updating

2014-03-06 13:08 - Philipp Hilpert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.5.0

Description

When editing a comment, inside an issue the "update time" should(?) change after editing a comment but it doesn't show an updated

timelog.

This occured after updating from redmine 2.0 to 2.5, maybe i missed something when migrating the database? I used the guide from

the wiki and everything worked out fine without errors until now.

Thanks

Related issues:

Related to Redmine - Feature #31505: Mark edited journal notes as "Edited" Closed

Has duplicate Redmine - Defect #26304: Updating the issue update text does no... Closed

History

#1 - 2014-03-06 13:24 - Philipp Hilpert

the timestamp of "updated" comments also doesnt change in the timelog in the "view for all tickets".

edited, does it change here?

so it has been updated but the timelog doesnt change, weired.. maybe it's just the translation thats strange...

edited: 17 minutes after creation:

Shouldnt the "updated XY ago" timestamp change to "updated less than a minute ago?"

#2 - 2014-09-04 21:35 - Mohammad AbuShady

I've checked the table structure, it doesn't have a timestamp for updates that are happening on the record, we could either add a new field just for

that, or we could touch the creation time field, but it would be a little confusing.

#3 - 2014-10-03 18:25 - Toshi MARUYAMA

- Category set to Issues

#4 - 2014-10-03 18:26 - Toshi MARUYAMA

- Subject changed from Timestamp of comment doesn't update when updating of a comment to Timestamp of issue note doesn't update when

updating

#5 - 2017-06-29 16:00 - Go MAEDA

- Has duplicate Defect #26304: Updating the issue update text does not affect updated time information added

#6 - 2018-01-17 22:17 - Hontvári Levente

This can also be considered as a feature. Redmine shouldn't do anything, especially it should not send an email after correcting a spelling mistake for

example. If something important happens, that should be described in a new note.

On dokuwiki there is a checkbox with which an edit can be marked as "minor change". A similar feature can be used to mark edits which must not

result in email sending or timestamp update.

#7 - 2024-01-27 05:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

You can see the updated time of a journal in Redmine 5.1 and later (#31505).
https://www.redmine.org/issues/31505


See also: https://www.redmineadvisor.com/articles/5_1/new-features/#31505

#8 - 2024-01-27 05:15 - Go MAEDA

- Related to Feature #31505: Mark edited journal notes as "Edited" added
